<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2020 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo
 * Release Date: 2019-01-08
 */
if (!defined('IN_DOUCO')) {
    die('Hacking attempt');
}
class Data {
    /**
     * +----------------------------------------------------------
     * 获取详情数据
     * +----------------------------------------------------------
     * $module 模块名称
     * $item_id 项目ID
     * +----------------------------------------------------------
     */
    function get_data($module, $item_id) {
        $class_list = $GLOBALS['dou']->get_no_repeat_value('data', 'class', '', true, "module = '$module' AND item_id = '$item_id'");

        foreach ($class_list as $class) {
            $class_array = explode('#', $class);
            
            $data['category'][$class_array[0]] = array (
                    "class" => array ("value" => $class_array[0], "name" => $class_array[1]),
                    "list" => $this->get_data_list($module, $item_id, $class)
            );
        }
     
        $data['all'] = $this->get_data_list($module, $item_id);
        //print_r($data);
        return $data;
    }
 
    /**
     * +----------------------------------------------------------
     * 获取详情数据列表
     * +----------------------------------------------------------
     * $module 模块名称
     * $item_id 项目ID
     * $class 分组
     * +----------------------------------------------------------
     */
    function get_data_list($module, $item_id, $class = '') {
        $and = $class ? " AND class = '$class'" : '';
        $sql = "SELECT * FROM " . $GLOBALS['dou']->table('data') . " WHERE module = '$module' AND item_id = '$item_id'" . $and;
        $query = $GLOBALS['dou']->query($sql);
        while ($row = $GLOBALS['dou']->fetch_array($query)) {
            // 多语言
            $row = $GLOBALS['dou']->lang_box($row, $module, 'name, text, link');
            
            $data_list[] = array (
                    "id" => $row['id'],
                    "name" => $row['name'],
                    "class" => $row['class'],
                    "image" => $GLOBALS['dou']->dou_file($row['image']),
                    "text" => $row['text'],
                    "link" => $row['link'],
                    "content" => $row['image'] ? '<img src="' . $GLOBALS['dou']->dou_file($row['image']). '">' : '<span>' . $row['text'] . '</span>'
            );
        }

        return $data_list;
    }

}

?>